## haskell-nonempty-containers 0.3.5.0

=== debian/changelog ===
haskell-nonempty-containers (0.3.5.0-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Tue, 10 Feb 2026 15:43:37 -0500
