=== debian/control ===
Source: haskell-nonempty-containers
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.16.42),
 dh-sequence-haskell,
 ghc (>= 9.10),
 ghc-prof,
 libghc-aeson-dev,
 libghc-aeson-prof,
 libghc-comonad-dev,
 libghc-comonad-prof,
 libghc-invariant-dev,
 libghc-invariant-prof,
 libghc-nonempty-vector-dev,
 libghc-nonempty-vector-prof,
 libghc-semigroupoids-dev,
 libghc-semigroupoids-prof,
 libghc-these-dev,
 libghc-these-prof,
 libghc-vector-dev,
 libghc-vector-prof,
Build-Depends-Indep: ghc-doc,
 libghc-aeson-doc,
 libghc-comonad-doc,
 libghc-invariant-doc,
 libghc-nonempty-vector-doc,
 libghc-semigroupoids-doc,
 libghc-these-doc,
 libghc-vector-doc,
Standards-Version: 4.7.3
Homepage: https://github.com/mstksg/nonempty-containers#readme
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-nonempty-containers
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-nonempty-containers]
Description: Non-empty variants of containers data types, with full API
 Efficient and optimized non-empty versions of types from /containers/.
 Inspired by /non-empty-containers/ library, except attempting a more
 faithful port (with under-the-hood optimizations) of the full /containers/
 API. Also contains a convenient typeclass abstraction for converting
 betwewen non-empty and possibly-empty variants. See README.md for more
 information.

Package: libghc-nonempty-containers-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-nonempty-containers-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-nonempty-containers-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
